A valid request URL is required to generate request examples{
"results": [
{
"declare_table": {
"context": {},
"transaction_id": "<string>",
"location": "<string>",
"storage_options": {},
"properties": {
"owner": "Ralph",
"created_at": "1452120468"
},
"managed_versioning": true
},
"create_table_version": {
"context": {},
"transaction_id": "<string>",
"version": {
"version": 1,
"manifest_path": "<string>",
"manifest_size": 1,
"e_tag": "<string>",
"timestamp_millis": 123,
"metadata": {}
}
},
"delete_table_versions": {
"context": {},
"deleted_count": 1,
"transaction_id": "<string>"
},
"deregister_table": {
"context": {},
"transaction_id": "<string>",
"id": [
"<string>"
],
"location": "<string>",
"properties": {
"owner": "Ralph",
"created_at": "1452120468"
}
}
}
],
"context": {},
"transaction_id": "<string>"
}{
"type": "/errors/bad-request",
"title": "Malformed request",
"status": 400,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/unauthorized-request",
"title": "No valid authentication credentials for the operation",
"status": 401,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/forbidden-request",
"title": "Not authorized to make this request",
"status": 403,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/not-found-error",
"title": "Not found Error",
"status": 404,
"detail": "",
"instance": "/v1/namespaces/{ns}"
}{
"type": "/errors/conflict",
"title": "The namespace has been concurrently modified",
"status": 409,
"detail": "",
"instance": "/v1/namespaces/{ns}"
}{
"type": "/errors/service-unavailable",
"title": "Slow down",
"status": 503,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "",
"instance": "/v1/namespaces"
}Atomically commit a batch of mixed table operations
Atomically commit a batch of table operations. This is a generalized version
of BatchCreateTableVersions that supports mixed operation types within a
single atomic transaction at the metadata layer.
Supported operation types:
DeclareTable: Declare (reserve) a new tableCreateTableVersion: Create a new version entry for a tableDeleteTableVersions: Delete version ranges from a tableDeregisterTable: Deregister (soft-delete) a table
All operations are committed atomically: either all succeed or none are applied.
A valid request URL is required to generate request examples{
"results": [
{
"declare_table": {
"context": {},
"transaction_id": "<string>",
"location": "<string>",
"storage_options": {},
"properties": {
"owner": "Ralph",
"created_at": "1452120468"
},
"managed_versioning": true
},
"create_table_version": {
"context": {},
"transaction_id": "<string>",
"version": {
"version": 1,
"manifest_path": "<string>",
"manifest_size": 1,
"e_tag": "<string>",
"timestamp_millis": 123,
"metadata": {}
}
},
"delete_table_versions": {
"context": {},
"deleted_count": 1,
"transaction_id": "<string>"
},
"deregister_table": {
"context": {},
"transaction_id": "<string>",
"id": [
"<string>"
],
"location": "<string>",
"properties": {
"owner": "Ralph",
"created_at": "1452120468"
}
}
}
],
"context": {},
"transaction_id": "<string>"
}{
"type": "/errors/bad-request",
"title": "Malformed request",
"status": 400,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/unauthorized-request",
"title": "No valid authentication credentials for the operation",
"status": 401,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/forbidden-request",
"title": "Not authorized to make this request",
"status": 403,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/not-found-error",
"title": "Not found Error",
"status": 404,
"detail": "",
"instance": "/v1/namespaces/{ns}"
}{
"type": "/errors/conflict",
"title": "The namespace has been concurrently modified",
"status": 409,
"detail": "",
"instance": "/v1/namespaces/{ns}"
}{
"type": "/errors/service-unavailable",
"title": "Slow down",
"status": 503,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "",
"instance": "/v1/namespaces"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Request to atomically commit a batch of table operations.
This replaces BatchCreateTableVersionsRequest with a more general interface
that supports mixed operations (DeclareTable, CreateTableVersion,
DeleteTableVersions, DeregisterTable)
within a single atomic transaction at the metadata layer.
All operations are committed atomically: either all succeed or none are applied.
List of operations to commit atomically. Supported operation types: DeclareTable, CreateTableVersion, DeleteTableVersions, DeregisterTable.
Show child attributes
Show child attributes
Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
- On a request, any entry whose key starts with
header.is sent as an HTTP request header with the prefix stripped. For example, the entry{"header.Authorization": "Bearer abc"}is sent as the request headerAuthorization: Bearer abc. - On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with
header.. For example, the response headerx-request-id: abc123is returned as the entry{"header.x-request-id": "abc123"}.
Show child attributes
Show child attributes
Response
Result of atomically committing a batch of mixed table operations
Response for a batch commit of table operations. Contains the results of each operation in the same order as the request.
Results for each operation, in the same order as the request operations. Each result contains the outcome of the corresponding operation.
Show child attributes
Show child attributes
Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
- On a request, any entry whose key starts with
header.is sent as an HTTP request header with the prefix stripped. For example, the entry{"header.Authorization": "Bearer abc"}is sent as the request headerAuthorization: Bearer abc. - On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with
header.. For example, the response headerx-request-id: abc123is returned as the entry{"header.x-request-id": "abc123"}.
Show child attributes
Show child attributes
Optional transaction identifier for the batch commit
Was this page helpful?